# If you need to turn off the logging, set the level to OFF

log4j.logger.com.anritsu.pa3.application=TRACE, fileAppender
log4j.logger.com.anritsu.pa3.frm=TRACE, logFrmAppender
log4j.logger.com.anritsu.pa3.plugins.imports=TRACE, logImportAppender
log4j.logger.com.anritsu.pa3.plugins.views=TRACE, logPluginsAppender
log4j.logger.com.anritsu.pa3.plugins.decoders=TRACE, logPluginsAppender
log4j.logger.com.anritsu.pa3.plugins.exports=TRACE, logPluginsAppender

log4j.appender.fileAppender=org.apache.log4j.RollingFileAppender
log4j.appender.fileAppender.File=pa3.log
log4j.appender.fileAppender.Threshold=TRACE
log4j.appender.fileAppender.ImmediateFlush=true
log4j.appender.fileAppender.MaxFileSize=1024KB
log4j.appender.fileAppender.MaxBackupIndex=6
log4j.appender.fileAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.fileAppender.layout.ConversionPattern=%d{M/d/yyyy HH:mm:ss.ms:} %-5p: (%F:%L thread:%t): %M(): %m%n

log4j.appender.consoleAppender=org.apache.log4j.ConsoleAppender
log4j.appender.consoleAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.consoleAppender.layout.ConversionPattern=%d{M/d/yyyy HH:mm:ss.ms:} %-5p: (%F:%L thread:%t): %M(): %m%n

log4j.appender.logFrmAppender=org.apache.log4j.RollingFileAppender
log4j.appender.logFrmAppender.File=pa3.log
log4j.appender.logFrmAppender.Threshold=TRACE
log4j.appender.logFrmAppender.ImmediateFlush=true
log4j.appender.logFrmAppender.MaxFileSize=1024KB
log4j.appender.logFrmAppender.MaxBackupIndex=6
log4j.appender.logFrmAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.logFrmAppender.layout.ConversionPattern=%d{M/d/yyyy HH:mm:ss.ms:} %-5p: (%F:%L thread:%t): %M(): %m%n

log4j.appender.logImportAppender=org.apache.log4j.RollingFileAppender
log4j.appender.logImportAppender.File=pa3import.log
log4j.appender.logImportAppender.Threshold=TRACE
log4j.appender.logImportAppender.ImmediateFlush=true
log4j.appender.logImportAppender.MaxFileSize=1024KB
log4j.appender.logImportAppender.MaxBackupIndex=6
log4j.appender.logImportAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.logImportAppender.layout.ConversionPattern=%d{dd/MM/yyyy HH:mm:ss:} %-5p: (%F:%L thread:%t): %M(): %m%n

log4j.category.logImportLogger=DEBUG, logImportAppender
log4j.additivty.logImportLogger=false

log4j.appender.logPluginsAppender=org.apache.log4j.RollingFileAppender
log4j.appender.logPluginsAppender.File=pa3.log
log4j.appender.logPluginsAppender.Threshold=TRACE
log4j.appender.logPluginsAppender.ImmediateFlush=true
log4j.appender.logPluginsAppender.MaxFileSize=1024KB
log4j.appender.logPluginsAppender.MaxBackupIndex=6
log4j.appender.logPluginsAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.logPluginsAppender.layout.ConversionPattern=%d{M/d/yyyy HH:mm:ss.ms:} %-5p: (%F:%L thread:%t): %M(): %m%n
